<div class="credit-card-component">
  <div class="card-layout">
    <div>
      <span>Payment details</span>
    </div>
    <div class="chip"></div>
    <form [formGroup]="form">
      <div class="card-number-container">
        <input
          type="text"
          class="card-number"
          max="16"
          maxlength="16"
          formControlName="ccNumber"
          (ngModelChange)="onCreditCardChange($event)"
        />
      </div>
      <div class="bottom-card">
        <div class="expiration-container">
          <span>Expiration</span>
          <div class="expiration-data">
            <input type="text" class="card-expiration" formControlName="expMonth" />
            <span>/</span>
            <input type="text" class="card-expiration" formControlName="expYear"  />
          </div>
        </div>
        <div class="digits-code">
          <span>CVV</span>
          <input type="text" class="card-cvv" formControlName="cvvNumber"  />
        </div>
      </div>
    </form>
  </div>
</div>
